<?php

$FormClasses = array(
  'NewPayment' => array(
    'Title' => 'Nová platba',
    'Items' => array(
      'Time' => array('Type' => 'Time', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Subject' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Přijatá záloha'),
      'Cash' => array('Type' => 'Boolean', 'Caption' => 'Hotovost', 'Default' => '1'),
      'Taxable' => array('Type' => 'Boolean', 'Caption' => 'Ovlivňující daňový základ', 'Default' => '1'),
    ),
  ),
  'NewInvoice' => array(
    'Title' => 'Nová faktura',
    'Items' => array(
      'Time' => array('Type' => 'Time', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Contractor' => array('Type' => 'TFinanceSubject', 'Caption' => 'Dodavatel', 'Default' => 1),
      'Customer' => array('Type' => 'TFinanceSubject', 'Caption' => 'Odběratel', 'Default' => 0),
      'Items' => array('Type' => 'Array', 'Caption' => 'Položky', 'ItemClass' => 'FinanceInvoiceItem'),
    ),
  ),
  'FinanceInvoiceItem' => array(
    'Title' => 'Položka faktury',
    'Items' => array(
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Položka'),
      'Quantity' => array('Type' => 'Integer', 'Caption' => 'Množství', 'Default' => '1'),
      'Tax' => array('Type' => 'Integer', 'Caption' => 'Daň [%]', 'Default' => '19'),
    ),
  ),
  'Measure' => array(
    'Title' => 'Měření',
    'Table' => 'Measure',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Zkratka', 'Default' => 'measure'),
      'Title' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => 'Měření'),
      'Description' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Měření veličiny'),
      'Unit' => array('Type' => 'String', 'Caption' => 'Jednotka', 'Default' => ''),
      'Continuity' => array('Type' => 'Boolean', 'Caption' => 'Spojitost', 'Default' => '0'),
      'Period' => array('Type' => 'Integer', 'Caption' => 'Perioda měření', 'Default' => '60'),
      'PermissionAdd' => array('Type' => 'String', 'Caption' => 'Oprávnění k měření', 'Default' => 'localhost.localdomain'),
      'PermissionView' => array('Type' => 'String', 'Caption' => 'Oprávnění k prohlížení', 'Default' => 'all'),
      'Enabled' => array('Type' => 'Boolean', 'Caption' => 'Povolení', 'Default' => '1'),
      'DataType' => array('Type' => 'String', 'Caption' => 'Typ datových položek', 'Default' => 'int'),
      'DataTable' => array('Type' => 'String', 'Caption' => 'Tabulka měřených dat', 'Default' => 'data'),
    ),
  ),
  'UserOptions' => array(
    'Title' => 'Základní nastavení',
    'Table' => 'User',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'FirstName' => array('Type' => 'String', 'Caption' => 'Křestní jméno', 'Default' => ''),
      'SecondName' => array('Type' => 'String', 'Caption' => 'Přijmení jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
    ),
  ),
  'UserRegister' => array(
    'Title' => 'Registrace uživatele',
    'Table' => 'User',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'Password2' => array('Type' => 'Password', 'Caption' => 'Potvrzení hesla', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'FirstName' => array('Type' => 'String', 'Caption' => 'Křestní jméno', 'Default' => ''),
      'SecondName' => array('Type' => 'String', 'Caption' => 'Přijmení jméno', 'Default' => ''),
    ),
  ),
  'PasswordRecovery' => array(
    'Title' => 'Obnova hesla',
    'Table' => '',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
    ),
  ),
  'NewNetworkDevice' => array(
    'Title' => 'Vložit nové zařízení',
    'Table' => 'network_devices',
    'Items' => array(
      'name' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => ''),
      'price' => array('Type' => 'Float', 'Caption' => 'Cena', 'Default' => 0),
      'count' => array('Type' => 'Integer', 'Caption' => 'Počet', 'Default' => 1),
      'date' => array('Type' => 'Time', 'Caption' => 'Datum zakoupení', 'Default' => 'Now'),
      'segment' => array('Type' => 'TNetworkSegment', 'Caption' => 'Segment sítě', 'Default' => 0),
      'date' => array('Type' => 'Time', 'Caption' => 'Datum zakoupení', 'Default' => 'Now'),
      'used' => array('Type' => 'TNetworkDeviceState', 'Caption' => 'Stav', 'Default' => 0),
      'consumption' => array('Type' => 'Integer', 'Caption' => 'Spotřeba', 'Default' => 0),
      'user' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'info' => array('Type' => 'String', 'Caption' => 'Poznámky', 'Default' => ''),
      'shop' => array('Type' => 'String', 'Caption' => 'Obchod', 'Default' => ''),
      'device_id' => array('Type' => 'String', 'Caption' => 'Sériové číslo', 'Default' => ''),
    ),
  ),
  'NewNetworkDeviceHistory' => array(
    'Title' => 'Vložit záznam historie zařízení',
    'Table' => 'NetworkDeviceHistory',
    'Items' => array(
      'Device' => array('Type' => 'TNetworkDevice', 'Caption' => 'Zařízení', 'Default' => 0),
      'Time' => array('Type' => 'Time', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Action' => array('Type' => 'TNetworkDeviceAction', 'Caption' => 'Akce', 'Default' => 0),
      'Notice' => array('Type' => 'String', 'Caption' => 'Poznámka', 'Default' => ''),
    ),
  ),
);

$FormTypes = array(
  'TNetworkDeviceState' => array(
     'Type' => 'Enumeration',
     'States' => array('Vyřazeno', 'Použito', 'Na skladě'),
  ),
  'TNetworkDeviceAction' => array(
     'Type' => 'Enumeration',
     'States' => array('Zakoupeno', 'Prodáno', 'Zařazeno do použití', 'Vyřazeno z použití', 'Zasláno do reklamace', 'Přijato z reklamace'),
  ),
  'TFinanceSubject' => array(
    'Type' => 'Reference',
    'Table' => 'User',
    'Id' => 'id',
    'Name' => 'CONCAT(SecondName, " ", FirstName)',
    'Filter' => 'role=2',
  ),
  'TNetworkDevice' => array(
    'Type' => 'Reference',
    'Table' => 'network_devices',
    'Id' => 'id',
    'Name' => 'name',
    'Filter' => '1',
  ),
  'TNetworkSegment' => array(
    'Type' => 'Reference',
    'Table' => 'network_segments',
    'Id' => 'id',
    'Name' => 'name',
    'Filter' => '1',
  ),
);

?>
